// Global animations
.link-underline {
  position: relative;

  &:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 40%;
    background: var(--primary-color);
    transform: translateY(-80%);
    transform-origin: top center;
    transition: transform 0.75s cubic-bezier(0.19, 1, 0.22, 1);
    z-index: -1;
    opacity: 0;
    transition: 0.2s all;
  }

  &:hover,
  &:focus {
    &:before {
      opacity: 1;
      transform: translateY(135%);
      transition: transform 0.5s cubic-bezier(1, 0, 0, 1);
      transition: 0.2s all;
    }
  }
}

// SLide In Bottom
.slide-in-bottom {
  animation: slide-in-bottom .5s cubic-bezier(.25, .46, .45, .94) both
}

@keyframes slide-in-bottom {
  0% {
    transform: translateY(1000px);
    opacity: 0
  }

  100% {
    transform: translateY(0);
    opacity: 1
  }
}

// Slide in left
.slide-in-left {
  animation: slide-in-left .5s cubic-bezier(.25, .46, .45, .94) both
}

@keyframes slide-in-left {
  0% {
    transform: translateX(-1000px);
    opacity: 0
  }

  100% {
    transform: translateX(0);
    opacity: 1
  }
}

// Fade In
.fade-in {
  animation: fade-in 1.2s cubic-bezier(.39, .575, .565, 1.000) both
}

@keyframes fade-in {
  0% {
    opacity: 0
  }

  100% {
    opacity: 1
  }
}

// Loop arrow
.loop-arrow {
  animation: loop-arrow 0.7s linear;
}


@keyframes loop-arrow {
  0% {
    transform: translateY(0);
  }

  25% {
    transform: translateY(-200%);
    opacity: 0;
  }

  50% {
    transform: translateY(200%);
    opacity: 0;
  }

  75% {
    transform: translateY(100%);
    opacity: 0;
  }

  100% {
    transform: translateY(0);
    opacity: 1;
  }
}

/* ----------------------------------------------
 * Fade Out animation
 * ---------------------------------------------- */

.fadeout {
  animation: fade-out 1s ease-out both
}

@keyframes fade-out {
  0% {
    opacity: 1
  }

  100% {
    opacity: 0
  }
}

// Animate transition page
.page-enter-active,
.page-leave-active {
  transition: opacity 0.3s;
}

.page-enter,
.page-leave-active {
  opacity: 0;
}
